package ecs.components;

import ecs.core.Component;

class HasOre extends Component {
	public var ore:Int;
	public var valuePerPiece:Int = 1;

	public function new(ore:Int = 1, valuePerPiece:Int = 1) {
		super();

		this.ore = ore;
		this.valuePerPiece = valuePerPiece;
	}
}
